summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2018-10-22 16:24:11 -0400
committerBrian Evans <grknight@gentoo.org>2018-10-22 16:24:55 -0400
commit34b03678278a9cb50c15db0390607cbf913cf590 (patch)
tree85571bcd9c407fc41b39a3ecca3386844fe794b7
parentapp-text/scdoc: add live ebuild (diff)
downloadgentoo-34b03678278a9cb50c15db0390607cbf913cf590.tar.gz
gentoo-34b03678278a9cb50c15db0390607cbf913cf590.tar.bz2
gentoo-34b03678278a9cb50c15db0390607cbf913cf590.zip
dev-php/pecl-oauth: Version bump for 2.0.3
Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--dev-php/pecl-oauth/Manifest1
-rw-r--r--dev-php/pecl-oauth/pecl-oauth-2.0.3.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-php/pecl-oauth/Manifest b/dev-php/pecl-oauth/Manifest
index 69423bf64e1..89ade9ac0bc 100644
--- a/dev-php/pecl-oauth/Manifest
+++ b/dev-php/pecl-oauth/Manifest
@@ -1,2 +1,3 @@
DIST oauth-1.2.3.tgz 45531 BLAKE2B 10fb5a3d1a46ee17fef7b129b3c29d67d565d296579aff63d8309f4efc5b881450249fb8e6d25703a33ad53e336775abc73f3d8e489f78c00c8988219b02ae1b SHA512 ca61dbec8fa51679accb31eab90b8699c7780f2d60a83566ce05667148ee44b7dc70fd8235414d6a3a996b252ad4a236b3e8a549685fd7e890e0874029c455e1
DIST oauth-2.0.2.tgz 49115 BLAKE2B 292c8c2d7fa3728aa6a73cdb65ee1c603f341cd24596d64b910f495ef649adb1f90ba4dfdab5ce1802dee9e8a0e3a6af502da340ed467de6e8c5d83df18abc7d SHA512 b7aa9459542ec390a5420127d75607702ae6df6254f4e39acb62d35c6a39b8b7990499c279df07ce681081e455b55219c51df42fd516321f317465badf6d459d
+DIST oauth-2.0.3.tgz 49413 BLAKE2B 581ba50a3add230364ed5c161b76073b1dd7c301eaf4cd048ed97039deb45fea73da56f0d0b69186d8f6fb20a55724ba5892d80bd7aae343b15534d3c82b6346 SHA512 3e0ce5ce01533bfd304c0c34465cc184fbd0af1a25f5192860e6394c86dc948688cc8d4b419b48676481cef3a685ba70ac612a8c516da26d0dfe9efdef7e98d9
diff --git a/dev-php/pecl-oauth/pecl-oauth-2.0.3.ebuild b/dev-php/pecl-oauth/pecl-oauth-2.0.3.ebuild
new file mode 100644
index 00000000000..13247d2fb7c
--- /dev/null
+++ b/dev-php/pecl-oauth/pecl-oauth-2.0.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PHP_EXT_NAME="oauth"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+USE_PHP="php5-6 php7-0 php7-1 php7-2 php7-3"
+
+inherit php-ext-pecl-r3
+
+# Really only build for 7.0
+USE_PHP="php7-0 php7-1 php7-2 php7-3"
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="OAuth is an authorization protocol built on top of HTTP"
+LICENSE="BSD"
+SLOT="7"
+IUSE="+curl examples"
+
+DEPEND="php_targets_php7-0? ( dev-lang/php:7.0[hash]
+ dev-libs/libpcre:3= curl? ( net-misc/curl:0= ) )
+ php_targets_php7-1? ( dev-lang/php:7.1[hash]
+ dev-libs/libpcre:3= curl? ( net-misc/curl:0= ) )
+ php_targets_php7-2? ( dev-lang/php:7.2[hash]
+ dev-libs/libpcre:3= curl? ( net-misc/curl:0= ) )
+ php_targets_php7-3? ( dev-lang/php:7.3[hash]
+ dev-libs/libpcre:3= curl? ( net-misc/curl:0= ) )
+"
+RDEPEND="${DEPEND} php_targets_php5-6? ( ${CATEGORY}/${PN}:0[php_targets_php5-6(-)?] )"
+
+src_prepare() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 || use php_targets_php7-3; then
+ # Disable tests that depend on header order
+ rm "${S}/tests/bug16946.phpt" "${S}/tests/overflow_redir.phpt" || die
+ php-ext-source-r3_src_prepare
+ else
+ eapply_user
+ fi
+}
+
+src_configure() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 || use php_targets_php7-3; then
+ local PHP_EXT_ECONF_ARGS=(
+ --enable-oauth
+ $(use_with curl)
+ )
+
+ php-ext-source-r3_src_configure
+ fi
+}
+
+src_install() {
+ if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 || use php_targets_php7-3; then
+ php-ext-pecl-r3_src_install
+ fi
+}